# $Revision: 1.29.2.2 $, $Date: 2004/04/19 06:30:13 $
#
# Conditional build:
%bcond_with	mmx	# MMX optimization
# Optimization must be chosen at compile time :(
# Maybe some patch...? But not yet.
#
%ifarch athlon
%define		with_mmx	1
%endif
%ifnarch %{x86}
%undefine	with_mmx
%endif
Summary:	Password cracker
Summary(pl):	amacz hase
Name:		john
Version:	1.6.37
Release:	2
License:	GPL
Group:		Applications/System
Source0:	http://www.openwall.com/john/a/%{name}-%{version}.tar.gz
# Source0-md5:	9403233b640927295c05b0564ff1f678
# needed for docs and charset files
Source1:	http://www.openwall.com/john/%{name}-1.6.tar.gz
# Source1-md5:	aae782f160041b2bdc624b0a84054e32
Patch0:		%{name}-1.6.PLD.diff
Patch1:		%{name}-1.6.ini.diff
Patch2:		%{name}-1.6.makefile.diff
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
John the Ripper is a password cracker, currently available for UNIX,
DOS, WinNT/Win95. Its primary purpose is to detect weak UNIX
passwords. It has been tested with Linux x86/Alpha/SPARC, FreeBSD x86,
OpenBSD x86, Solaris 2.x SPARC and x86, Digital UNIX, AIX, HP-UX, and
IRIX.

%description -l pl
John The Ripper jest "amaczem" hase dostpnym dla systemw UNIX,
DOS, WinNT/Win95. Gwnym jego zadaniem jest wykrywanie "sabych"
hase. By testowany z Linux x86/Alpha/SPARC, FreeBSD x86, OpenBSD x86,
Solaris 2.x SPARC i x86, Digital UNIX, AIX, HP-UX oraz IRIX.

%prep
%setup -q -a1
# -n %{name}-1.6
%patch0 -p1
#%patch1 -p1
#%patch2 -p1

%build
cd src
COPT="%{rpmcflags}"

# bleh... MMX code must be chosen at compile time :(
# cannot use MMX for generic i586 nor i686 (Pentium/Pentium Pro have no MMX)
# K6 optimization exists only in Makefile

TARG=generic
%if %{with mmx}
	TARG=linux-x86-mmx-elf
%endif
%ifarch %{ix86}
	TARG=linux-x86-any-elf
%endif
%ifarch alpha
	TARG=linux-alpha
%endif
%ifarch sparc sparc64
	TARG=linux-sparc
%endif

%{__make} $TARG \
	OPT="$COPT" \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}/john}
install run/john.conf john-1.6/run/*.chr $RPM_BUILD_ROOT%{_libdir}/john
install run/john $RPM_BUILD_ROOT%{_bindir}

rm -f doc/INSTALL

cd $RPM_BUILD_ROOT%{_bindir}
ln -sf john unafs
ln -sf john unique
ln -sf john unshadow

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/* john-1.6/doc/{CONFIG,EXAMPLES,EXTERNAL,FAQ,MODES,NEWS,OPTIONS,RULES} run/mailer
%attr(755,root,root) %{_bindir}/*
%{_libdir}/john

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: john.spec,v $
Revision 1.29.2.2  2004/04/19 06:30:13  ankry
- fixed bogus commitlog

Revision 1.29.2.1  2004/04/19 06:28:51  ankry
- fixed bcond/ifarch for Ra 

Revision 1.29  2004/02/28 14:21:53  qboosh
- fixed Source0 URL

Revision 1.28  2004/02/28 13:04:47  qboosh
- really updated to 1.6.37, removed obsolete 1.6.34 patch, updated PLD.diff
- new-style bcond, release 2

Revision 1.27  2004/02/23 22:37:50  adamg
- updated to 1.6.37

Revision 1.26  2003/12/06 16:17:20  undefine
- release 2 to rebuild with ac

Revision 1.25  2003/07/12 10:25:03  wolf
- up to 1.6.34 (much faster)
- enable mmx on athlon by default

Revision 1.24  2003/05/28 12:59:15  malekith
- massive attack: source-md5

Revision 1.23  2003/05/25 05:49:10  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2002/11/27 21:10:39  juandon
- new %%doc

Revision 1.21  2002/11/02 22:43:48  wolf
- %%__cc

Revision 1.20  2002/04/27 14:15:31  blues
- description improved

Revision 1.19  2002/04/27 14:07:09  blues
- Release 6
- cosmetics and INSTALL removed

Revision 1.18  2002/04/25 16:39:40  arturs
fixed a small typo

Revision 1.17  2002/02/22 23:29:05  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/01/18 02:13:27  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/06/04 14:44:21  baggins
- typo

Revision 1.14  2001/05/22 09:06:26  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.13  2001/04/30 16:05:20  kloczek
- added using %%{rpmcflags} macro.

Revision 1.12  2001/02/16 00:33:49  qboosh
- /usr/dict/linux.words -> /usr/share/dict/words (in config)
- choose CPU basing on target arch (and bcond :( ), not builder arch
- adapterized
- release 5

Revision 1.11  2000/05/21 15:02:33  kloczek
- spec adapterized.

Revision 1.10  2000/04/01 11:14:47  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/03/28 16:54:34  baggins
- translated kloczkish into english

Revision 1.8  2000/02/10 15:29:03  wiget
- update source URL

Revision 1.7  1999/07/20 11:04:33  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.6  1999/07/12 23:06:00  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon Apr 26 1999 Micha Kuratczyk <kura@pld.org.pl>
  [1.6-3]
- gzipping documentation instead bzipping
- sloted BuildRoot into PLD standard

* Wed Dec 09 1998 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
- added ini patch.

* Sun Oct 06 1998 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
- initial rpm release.
